Package skyview.survey

# Class HealPixImage

java.lang.Object
skyview.survey.Image
skyview.survey.HealPixImage

All Implemented Interfaces:
  `Serializable`, `Component`

public class HealPixImage extends Image
This class defines an image gotten by reading a HEALPix image where the pixels are in the nested pixel order. This assumes the FITS structures found in the WMAP data but could be adapted to other orders as needed. There are several HEALPix formats supported: A single HEALPix intensity array in the primary HDU HEALPix data in the first extension HDU as a binary table with each row in the table corresponding to a single pixel. This format can support multiple HEALPix Stokes parameter values per pixel, in particular I, Q and U and be read from the file and the derived quantities PI, PI/I, and PA can be returned if the I,Q,U are present. A single HEALPix intensity array stored in the first extension with R rows, where each row in the table has an array of N values representing RxN pixels. A HEALPix file which has been split into multiple tiles. These tiles will be read as needed.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.survey.Image

`data`

## Constructor Summary

Constructors
Constructor
Description
`HealPixImage(String file)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getData(long ipix)`
Get a single element of data
`double[]`
`getDataArray()`
Probably should happen, but just in case we support the get array function.
`int`
`getDepth()`
Only a scalar image.
`int`
`getHeight()`
Get the height of the image in pixels
`int`
`getWidth()`
Get the width of the image in pixels
`void`
`setData(long npix, double val)`
Support changing the data! Probably won't use this...

### Methods inherited from class skyview.survey.Image

`clearData, getBaseImage, getCenter, getCorners, getDescription, getName, getTransformer, getWCS, initialize, isTiled, setAccumulate, setDataArray, setName, valid, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HealPixImage

public HealPixImage(String file) throws SurveyException

Throws:
  `SurveyException`

## Method Details

### getWidth

public int getWidth()
Get the width of the image in pixels

Overrides:
  `getWidth` in class `Image`

### getHeight

public int getHeight()
Get the height of the image in pixels

Overrides:
  `getHeight` in class `Image`

### getDepth

public int getDepth()
Only a scalar image. Note that if we are returning a PA image then this does not transform simply when we change coordinates. This is really a vector.

Overrides:
  `getDepth` in class `Image`

### getData

public double getData(long ipix)
Get a single element of data

Overrides:
  `getData` in class `Image`

### getDataArray

public double[] getDataArray()
Probably should happen, but just in case we support the get array function.

Overrides:
  `getDataArray` in class `Image`

### setData

public void setData(long npix, double val)
Support changing the data! Probably won't use this...

Overrides:
  `setData` in class `Image`